Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-0823

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-0823
Last Modified 17 Sep 2012 11:31:14
Published 23 Feb 2012 03:07:32
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-0823

Summary

VP8 Codec SDK (libvpx) before 1.0.0 "Duclair" allows remote attackers to cause a denial of service (application crash) via (1) unspecified "corrupt input" or (2) by "starting decoding from a P-frame," which triggers an out-of-bounds read, related to "the clamping of motion vectors in SPLITMV blocks".

Vulnerable Systems

Application

  • John Koleszar Libvpx 0.9.0

  • John Koleszar Libvpx 0.9.1

  • John Koleszar Libvpx 0.9.2

  • John Koleszar Libvpx 0.9.5

  • John Koleszar Libvpx 0.9.6

  • John Koleszar Libvpx 0.9.7


References

MLIST - [oss-security] 20120129 Re: (maybe) CVE request: libvpx before 1.0 crasher

MLIST - [oss-security] 20120128 (maybe) CVE request: libvpx before 1.0 crasher

CONFIRM - http://code.google.com/p/webm/source/browse/CHANGELOG?repo=libvpx

CONFIRM - http://blog.webmproject.org/2012/01/vp8-codec-sdk-duclair-released.html

MANDRIVA - MDVSA-2012:023

BID - 51775


Last Updated: 27 May 2016 10:58:18